# Reference

## boost::redis::resp3::boost_redis_to_bulk

Adds a bulk to the request.

### Synopses

Declared in `<boost/redis/resp3/serialization.hpp>`

Adds a bulk to the request.

    void
    boost_redis_to_bulk(
        std::string& payload,
        std::string_view data);

» more...

    template<class T>
    requires std::is_integral<T>::value
    void
    boost_redis_to_bulk(
        std::string& payload,
        T n);

» more...

### Parameters

Name | Description
payload | Storage on which data will be copied into.
data | Data that will be serialized and stored in `payload`.

Created with MrDocs